# dev-setup

dev-setup for the kubernetes-stack-cookbook project.


## dev-setup/chef/main-cookbooks/kubernetes-stack-cookbook cookbook

- This Chef project is used to manage the VM for the Teracy's projects.

- The kubernetes-stack-cookbook Chef project was initial generated by the following commands:

```
$ vagrant ssh
$ ws
$ cd dev-setup/chef/
$ docker run --rm -it -v $(pwd):/opt/app -w /opt/app chef/chefdk bash
# mkdir main-cookbooks
# cd main-cookbooks
# chef generate cookbook kubernetes-stack-cookbook
```

You should see the similar following output:

```
Generating cookbook teracy
- Ensuring correct cookbook file content
- Ensuring delivery configuration
- Ensuring correct delivery build cookbook content

Your cookbook is ready. Type `cd teracy` to enter it.

There are several commands you can run to get started locally developing and testing your cookbook.
Type `delivery local --help` to see a full list.

Why not start by writing a test? Tests for the default recipe are stored at:

test/smoke/default/default_test.rb

If you'd prefer to dive right in, the default recipe can be found at:

recipes/default.rb

```

- After that, sync the generated files from the guest VM to the host machine:

```
$ # open a new terminal window
$ cd ~/teracy-dev 
$ vagrant rsync-back
```

And you should see the generated files to the `dev-setup/chef/main-cookbooks` directory.

See more: https://github.com/chef/chef-dk


## dev-setup/chef/berks-cookbooks


This is the auto genereated cookbooks with dependencies from
the `dev-setup/chef/main-cookbooks/kubernetes-stack-cookbook` cookbook.


`dev-setup/chef/berks-cookbooks` is generated with:

```
$ vagrant ssh
$ ws
$ cd dev-setup/chef
$ docker-compose up
```

and then `$ vagrant rsync-back` from the host terminal to sync generated files back to the host.


## Configure the kubernetes-stack-cookbook cookbook to be used with `teracy-dev`

The following sample configuration is used to configure the Chef provisioner of Vagrant
for the `vagrant_config_default.json` file:

```
{
  "provisioners": [{
    "_id": "0",
    "_ua_cookbooks_path": [
      "workspace/kubernetes-stack-cookbook/dev-setup/chef/main-cookbooks"
    ],
    "_ua_run_list": [
      "kubernetes-stack-cookbook"
    ]
  }]
}
```
